SHSH blob backup question

mbob

macrumors member
Original poster
Jul 8, 2009
75
0
I have no reason to jailbreak currently but was wondering what procedure to use in order to ensure I could jailbreak it in the future if I wanted. Could I download the current iOS firmware and backup my current SHSH blob without jailbreaking? Is tinyumbrella the way to do this?
 

interwebs

macrumors member
May 26, 2011
94
0
I'm confused. I have a GSM ipad2 and just ran the latest TinyUmbrella to save SHSH for 5.0.1. I saw in another thread people saying I need to upgrade to 5.0.1 now if I want to ever have it because SHSH are "useless" in IOS5. However, I saw on the TU website that it makes APNonce requests, although I don't know if that generates a separate file or that's just included in the SHSH file that TU creates.

I'm on 4.3.3 right now; I haven't jailbroken my ipad in the past but I guess I like having the option. However, I'm not sure yet about whether I want to upgrade to IOS5 right this second as I have to check app compatibility. Newer versions of some of the apps I use have design changes I don't like, or obnoxious bugs, so I have left them on older versions. I haven't had time to check everything for compatibility so I'm not sure I want to rush in to upgrade to IOS5.

In any case, do I need to upgrade now or can I wait and upgrade to 5.0.1 later, given that I just saved SHSH (I guess w/ AP Ticket???) in TU?
 

ThHeartlessHero

macrumors member
Jan 22, 2012
93
0
If you've saved the 5.0.1 SHSH Blobs in TinyUmbrella, you do not need to update your iPad now. At a later time, if Apple has stopped signing 5.0.1, you can use TinyUmbrella and your saved Blobs to trick iTunes into restore a 5.0.1 IPSW onto the iPad and then jailbreak with Absinthe.
 

interwebs

macrumors member
May 26, 2011
94
0
Okay! I don't understand what some of the posts mean when they say that a bootrom exploit is needed or some other sort of thing in order to be able to use stored blobs for IOS5 on a GSM ipad2. Other places I look, it seems as though this isn't the case. It's very confusing!
 

Intell

macrumors P6
Jan 24, 2010
18,889
396
Inside
Okay! I don't understand what some of the posts mean when they say that a bootrom exploit is needed or some other sort of thing in order to be able to use stored blobs for IOS5 on a GSM ipad2. Other places I look, it seems as though this isn't the case. It's very confusing!
To reuse saved iOS 5+ SHSH blobs on an A5 or newer iDevice a bootrom is needed. The only A5 iDevice that can reuse saved SHSH blobs is the WiFi iPad 2 and 4.3.X SHSH blobs.
 
Register on MacRumors! This sidebar will go away, and you'll see fewer ads.